@import (once) "../theme";

.log {
  background: @myhordes-cell-header-background-color; border: 1px solid @myhordes-input-border;
  padding: 4px;
  &>.log-content {
    font-size: 1.2rem; color: #f0d79e; max-height: 300px; overflow-y: auto;
    &>.log-spinner, &>.log-complete-link { padding: 5px; }
    &>.log-complete-link { cursor: pointer; text-decoration: underline; display: inline-block; }
    &>.log-entry {
      &:before { content: " "; height: 16px; width: 16px; top: 2px; left: 2px; position: absolute; }
      padding: 2px 2px 2px 20px; position: relative; cursor: default; margin: 1px 0;
      &>span.log-part-time {
        color: @myhordes-smalltext; font-size: 0.9em; display: inline-block; width: 50px;
        position: relative; text-align: center;
        &:before, &:after { display: block; width: 10px; position: absolute; top: 0; }
        &:before{ content: '['; left: 0; } &:after{ content: ']'; right: 0; }
      }
      &>span.log-part-content {
        &>span { 
          color: white; font-weight: bold; &>img { vertical-align: text-top }
          &.tool {
            padding-left: 3px;
            padding-right: 3px;
            white-space: nowrap;
            background-color: #784323; 
          } 
        }
        &.log-part-entry-hidden {
          background-color: #4d5537;
          color: #98a675;
          font-weight: bold;
        }
      }

      &.log-entry-class-0 {}
      &.log-entry-class-1 { background-color: #820000 }
      &.log-entry-class-2 { background-color: #ad2714 }
      &.log-entry-class-3 { background-color: #965c36; font-weight: bold; }
      &.log-entry-class-4 { background-color: #3b3249 }
      &.log-entry-class-5 { background-color: #b05502 }

      &.log-entry-type-0  {}
      &.log-entry-type-1  {}
      &.log-entry-type-2  { &.log-entry-class-0:before { background: url("../../img/log/bank_in.gif") } &.log-entry-class-1:before { background: url("../../img/log/bank_out.gif") } }
      &.log-entry-type-3  {}
      &.log-entry-type-4  { &:before { background: url("../../img/log/build.gif") } }
      &.log-entry-type-5  { &:before { background: url("../../img/log/workshop.gif") } }
      &.log-entry-type-6  { &.log-entry-class-0:before { background: url("../../img/log/door_open.gif") } &.log-entry-class-3:before { background: url("../../img/log/door_closed.gif") } }
      &.log-entry-type-7  { &:before { background: url("../../img/log/well.gif") } }
      &.log-entry-type-8  { &:not(.log-entry-class-2):before { background: url("../../img/log/citizen.gif") } &.log-entry-class-2:before { background: url("../../img/log/death.gif") } }
      &.log-entry-type-9  { &:before { background: url("../../img/log/night.gif") } }
      &.log-entry-type-10 { &:before { background: url("../../img/log/home.gif") } }
      &.log-entry-type-11 { &:before { background: url("../../img/log/chat.gif") } }
    }
  }
  &+.log-day-select {
    position: relative; z-index: 1;
    &>div {
      overflow: visible; display: inline-block; position: relative;
      &>div {
        display: inline-block; font-size: 0.7em;  background: @myhordes-cell-header-background-color; width: 120px;
        text-align: center;
        border-bottom: 1px solid @myhordes-input-border; border-left: 1px solid @myhordes-input-border;
        border-right: 1px solid @myhordes-input-border; position: relative; padding: 3px; top: -3px; left: 5px;
        &>span { font-weight: bold }
        &>*:not(span) {
          color: @myhordes-smalltext; cursor: pointer; display: inline-block;
          &:first-child { margin: 0 10px 0 0; }
          &:last-child  { margin: 0 0 0 10px; }
        }

      }
    }

  }

}

.shoutbox {
  background: @myhordes-cell-header-background-color; border: 1px solid @myhordes-input-border;
  padding: 4px;
  &>.shout-content {
    font-size: 1.2rem; color: #f0d79e; max-height: 450px; overflow-y: auto;
    &>.shout-loader { text-align: center; }
    &>.shout-separator {
      margin: 3px 0; border-bottom: 1px solid #f0d79e;
    }
    &>.shout-entry {
      &:before { content: " "; height: 16px; width: 16px; top: 2px; left: 2px; position: absolute; }
      padding: 2px; position: relative; cursor: default; margin: 1px 0; background-color: transparent;
      &>span.shout-part-time {
        color: @myhordes-smalltext; font-size: 0.9em; display: inline-block; width: 50px;
        position: relative; text-align: center;
        &:before, &:after { display: block; width: 10px; position: absolute; top: 0; }
        &:before{ content: '['; left: 0; } &:after{ content: ']'; right: 0; }
      }
      &>span.shout-part-content {
        &>span {
          color: white; font-weight: bold; &>img { vertical-align: text-top }
          &.tool {
            padding-left: 3px;
            padding-right: 3px;
            white-space: nowrap;
            background-color: #784323;
          }
        }
        b { color: white }
        strong { color: white; font-variant: small-caps; }
      }

      &.shout-entry-class-1 {
        b { color: white }
        background-color: #3b3249;
      }
    }
  }
}